/* Дополняет css/btxt/btxt.css */
.btxt {
  grid-gap: 32px;
}
.btxt.btxt_display {
	display: grid;
	gap: 48px;
	grid-template-columns: 1fr;
}
.btxt.btxt_even {
	display: grid;
	gap: 32px;
	grid-template-columns: 1fr;
}
.btxt_display .btxt__video {
  display: block;
	width: 100%;
	text-decoration: none !important;
	position: relative;
	overflow: hidden;
	display: -webkit-inline-box;
	display: -ms-inline-flexbox;
	display: inline-flex;
	border-radius: 12px;
  cursor: pointer;
}
.btxt_display .btxt__video:before {
  content: '';
  width: 100%;
  height: 100%;
  background: transparent;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 2;
  -webkit-transition : 0.2s ease-in-out;
  -o-transition : 0.2s ease-in-out;
  transition : 0.2s ease-in-out;
}
.btxt_display .btxt__video:after {
  content: '';
  width: 100%;
  height: 100%;
  background: url('i/button-play.png') center center no-repeat;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  z-index: 3;
}
.btxt_bordered {
  padding: 24px;
  border-radius: 12px;
  border: 1px solid var(--black200);
}
.btxt_moreround {
  border-radius: 24px !important;
}
.btxt_auto {
  grid-template-columns: 1fr;
  gap: 32px;
}
.btxt_auto_reverse {
  grid-template-columns: 1fr;
  gap: 32px;
}
.btxt_gap_large {
  gap: 40px;
}
.btxt_rowgap_xlarge {
  grid-row-gap: 48px;
}
.btxt__image {
  display: block;
}
.btxt__adaptimg {
  width: 100%;
  object-fit: cover;
  overflow: hidden;
}
.btxt__adaptimg img {
  display: block;
  border-radius: 16px;
}
.btxt__roundedimg {
  display: block;
  border-radius: 23px;
}
.btxt__items {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.btxt__item {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

@media (min-width: 576px) { 
  .btxt.btxt_display {
    gap: 64px;
  }
  .btxt_display .btxt__video {
    border-radius: 24px;
  }
  .btxt.btxt_even {
    gap: 48px;
  }
  .btxt_bordered {
    padding: 32px;
    border-radius: 24px;
  }
  .btxt_gap_large {
    gap: 48px;
  }
  .btxt_rowgap_xlarge {
    grid-row-gap: 64px;
  }
}

@media (max-width: 991px) { 
  .btxt_display .btxt__title {
    text-align: center;
  }
  .btxt.btxt_snaptobottom {
    padding-bottom: 0;
  }
  .btxt__adaptimg_snaptobottom {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }
}

@media (min-width: 992px) { 
  .btxt.btxt_display {
    grid-template-columns: 40% calc(60% - 32px);
    gap: 32px;
  }
  .btxt.btxt_even {
    grid-template-columns: 1fr 1fr;
    gap: 32px;
  }
	.btxt_auto {
		grid-template-columns: 1fr 1fr;
	}
  .btxt_reverse > div:last-of-type {
    -webkit-box-ordinal-group: 0;
    -ms-flex-order: -1;
    order: -1;
  }
  .btxt_reverse.btxt_pad_left > div:first-of-type {
    padding-left: 32px;
  }
  .btxt_auto_reverse {
		grid-template-columns: 1fr 1fr;
	}
}

@media (min-width: 1200px) { 
	.btxt_auto {
		grid-template-columns: 1fr auto;
	}
  .btxt_auto_reverse {
    grid-template-columns: auto 1fr;
  }
  .btxt_auto_reverse > div:last-of-type {
    -webkit-box-ordinal-group: 0;
    -ms-flex-order: -1;
    order: -1;
  }
  .btxt_gap_xlarge_xl {
    gap: 64px;
  }
}